std::atomic_flag Struct Reference
Inheritance diagram for std::atomic_flag:
[legend]

## Public Member Functions

constexpr | atomic_flag (bool __i) noexcept
| atomic_flag (const atomic_flag &)=delete
void | clear (memory_order __m=memory_order_seq_cst) noexcept
void | clear (memory_order __m=memory_order_seq_cst) volatile noexcept
void | notify_all () noexcept
void | notify_one () noexcept
atomic_flag & | operator= (const atomic_flag &) volatile=delete
atomic_flag & | operator= (const atomic_flag &)=delete
bool | test (memory_order __m=memory_order_seq_cst) const noexcept
bool | test (memory_order __m=memory_order_seq_cst) const volatile noexcept
bool | test_and_set (memory_order __m=memory_order_seq_cst) noexcept
bool | test_and_set (memory_order __m=memory_order_seq_cst) volatile noexcept
void | wait (bool __old, memory_order __m=memory_order_seq_cst) const noexcept

## Public Attributes

__atomic_flag_data_type | _M_i

## Detailed Description

atomic_flag

Definition at line 196 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h